Package ru.bitel.bgbilling.modules.email.server.bean

# Class Domain

java.lang.Object
ru.bitel.bgbilling.modules.email.server.bean.Domain

@Deprecated public class Domain extends Object
Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Domain()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getAddAttributes()`
  Deprecated.
  `String`
  `getBase()`
  Deprecated.
  `String`
  `getDriverClass()`
  Deprecated.
  `int`
  `getId()`
  Deprecated.
  `int`
  `getID()`
  Deprecated.
  `LDAPDriver`
  `getLDAPDriver()`
  Deprecated.
  `String`
  `getLDAPHost()`
  Deprecated.
  `String`
  `getLDAPPassword()`
  Deprecated.
  `int`
  `getLDAPPort()`
  Deprecated.
  `String`
  `getLDAPRootNode()`
  Deprecated.
  `String`
  `getLDAPUser()`
  Deprecated.
  `int`
  `getLikeId()`
  Deprecated.
  `String`
  `getName()`
  Deprecated.
  `void`
  `setAddAttribute(String attribute, String value)`
  Deprecated.
  `void`
  `setAddAttributes(Map<String,String> values)`
  Deprecated.
  `void`
  `setBase(String base)`
  Deprecated.
  `void`
  `setDriverClass(String driverClass)`
  Deprecated.
  `void`
  `setId(int id)`
  Deprecated.
  `void`
  `setID(int id)`
  Deprecated.
  `void`
  `setLDAPDriver(LDAPDriver LDAPDriver)`
  Deprecated.
  `void`
  `setLDAPHost(String LDAPHost)`
  Deprecated.
  `void`
  `setLDAPPassword(String LDAPPassword)`
  Deprecated.
  `void`
  `setLDAPPort(int LDAPPort)`
  Deprecated.
  `void`
  `setLDAPRootNode(String LDAPRootNode)`
  Deprecated.
  `void`
  `setLDAPUser(String LDAPUser)`
  Deprecated.
  `void`
  `setLikeId(int likeId)`
  Deprecated.
  `void`
  `setName(String name)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Domain

    public Domain()
    Deprecated.

- ## Method Details

  - ### getId

    public int getId()
    Deprecated.

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId(int id)
    Deprecated.

  - ### setID

    @Deprecated public void setID(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getName

    public String getName()
    Deprecated.

  - ### getBase

    public String getBase()
    Deprecated.

  - ### getLDAPPassword

    public String getLDAPPassword()
    Deprecated.

  - ### getLDAPDriver

    public LDAPDriver getLDAPDriver()
    Deprecated.

  - ### getLDAPRootNode

    public String getLDAPRootNode()
    Deprecated.

  - ### getLDAPUser

    public String getLDAPUser()
    Deprecated.

  - ### getLDAPPort

    public int getLDAPPort()
    Deprecated.

  - ### getLDAPHost

    public String getLDAPHost()
    Deprecated.

  - ### setName

    public void setName(String name)
    Deprecated.

  - ### setBase

    public void setBase(String base)
    Deprecated.

  - ### setLDAPPassword

    public void setLDAPPassword(String LDAPPassword)
    Deprecated.

  - ### setLDAPDriver

    public void setLDAPDriver(LDAPDriver LDAPDriver)
    Deprecated.

  - ### setLDAPRootNode

    public void setLDAPRootNode(String LDAPRootNode)
    Deprecated.

  - ### setLDAPUser

    public void setLDAPUser(String LDAPUser)
    Deprecated.

  - ### setLDAPPort

    public void setLDAPPort(int LDAPPort)
    Deprecated.

  - ### setLDAPHost

    public void setLDAPHost(String LDAPHost)
    Deprecated.

  - ### getLikeId

    public int getLikeId()
    Deprecated.

  - ### setLikeId

    public void setLikeId(int likeId)
    Deprecated.

  - ### getDriverClass

    public String getDriverClass()
    Deprecated.

  - ### setDriverClass

    public void setDriverClass(String driverClass)
    Deprecated.

  - ### setAddAttribute

    public void setAddAttribute(String attribute, String value)
    Deprecated.

  - ### setAddAttributes

    public void setAddAttributes(Map<String,String> values)
    Deprecated.

  - ### getAddAttributes

    public Map<String,String> getAddAttributes()
    Deprecated.